# Uses of Interface
org.osgi.service.remoteserviceadmin.ImportRegistration

Packages that use ImportRegistration
Package
Description
org.eclipse.ecf.osgi.services.remoteserviceadmin
org.osgi.service.remoteserviceadmin
Remote Service Admin Package Version 1.1.

## Uses of ImportRegistration in org.eclipse.ecf.osgi.services.remoteserviceadmin

Classes in org.eclipse.ecf.osgi.services.remoteserviceadmin that implement ImportRegistration
Modifier and Type
Class
Description
`class`
`RemoteServiceAdmin.ImportRegistration`
Methods in org.eclipse.ecf.osgi.services.remoteserviceadmin that return ImportRegistration
Modifier and Type
Method
Description
`ImportRegistration`
RemoteServiceAdmin.`importService(EndpointDescription endpointDescription)`
Methods in org.eclipse.ecf.osgi.services.remoteserviceadmin with parameters of type ImportRegistration
Modifier and Type
Method
Description
`protected void`
AbstractTopologyManager.`handleInvalidImportRegistration(ImportRegistration importRegistration, Throwable t)`

## Uses of ImportRegistration in org.osgi.service.remoteserviceadmin

Methods in org.osgi.service.remoteserviceadmin that return ImportRegistration
Modifier and Type
Method
Description
`ImportRegistration`
RemoteServiceAdmin.`importService(EndpointDescription endpoint)`
Import a service from an Endpoint.